<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.jeecg.modules.fbsMomOrder.mapper.FbsMomOrderMapper">
    <select id="getEsopTaskList" resultType="java.util.HashMap">
      <!--  SELECT  b.MoCode orderSheetCode,a.InvCode materialCode,c.cInvName materialName,QualifiedInQty ,Qty qty,
         c.cInvStd specs from mom_orderdetail a
        left join mom_order b on a.MoId = b.MoId
        left join Inventory c on a.InvCode = c.cInvCode
        where Qty > QualifiedInQty and a.Status ='3'
-->
        SELECT
        production_order_number_name orderSheetCode,
        product_id materialCode,
        product materialName,
        number_of_tasks qty
        FROM
        fbs_workshop_dispatch_list
        WHERE
        del_flag = '0'
        AND number_of_tasks > latest_completed_quantity
    </select>


  <select id="getIsOnlyByCbatch" resultType="java.util.HashMap">
    select cBatch as cBatch from rdrecords10 where cBatch IN
    <foreach collection="list" index="index" item="item" open="(" separator="," close=")">
      #{item}
    </foreach>
  </select>
</mapper>